Uploaded image for project: 'Puppet Agent'
  1. Puppet Agent
  2. PA-3113

Puppet agent fails as it cannot run puppet due to Ruby error

    XMLWordPrintable

    Details

    • Template:
    • Team:
      Night's Watch
    • Story Points:
      2
    • Sprint:
      NW - 2020-02-19, NW - 2020-03-04
    • Method Found:
      Needs Assessment
    • Zendesk Ticket IDs:
      37667
    • Zendesk Ticket Count:
      1
    • Release Notes:
      Bug Fix
    • Release Notes Summary:
      Patch the puppet-agent vendored Ruby to fix an issue with large environment blocks on Windows.
    • QA Risk Assessment:
      Needs Assessment

      Description

      When trying to run puppet agent -t the following error is produced

      /facter.rb:42:in `<module:Facter>'
      C:/Program Files/Puppet Labs/Puppet/puppet/lib/ruby/vendor_ruby/facter.rb:42:in
      `[]=': Invalid argument - ruby_setenv(PATH) (Errno::EINVAL)

      * Please see Zendesk Support tab for further comments and attachments.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              gabriel.nagy Gabriel Nagy
              Reporter:
              jason.stewart Jason Stewart
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Zendesk Support